
$(document).ready(function(){
	var data = "material/data.php";
	$('#data-mahasiswa').load(data);
	
	$("#form-tambah").submit(function(e) {
		e.preventDefault();
		
		$("#error_rawmat").html('');
		$("#error_nomat").html('');
		$("#error_qty").html('');
		
		var dataform = $("#form-tambah").serialize();
		$.ajax({
			url: "material/input.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_rawmat").html(hasil.error.rawmat);
					$("#error_nomat").html(hasil.error.nomat);
					$("#error_qty").html(hasil.error.qty);
				} else {
					$('#modal-tambah').modal('hide');
					$("#rawmat").val('');
					$("#nomat").val('');
					$("#qty").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).on('click','#edit',function(e){
		e.preventDefault();
		$("#modal-edit").modal('show');
		$.post('material/edit.php',
			{id:$(this).attr('data-id')},
			function(html){
				$("#data-edit").html(html);
			}   
		);
	});
	
	
	$("#form-edit").submit(function(e) {
		e.preventDefault();
		
		$("#error_rawmat").html('');
		$("#error_nomat").html('');
		$("#error_qty").html('');
		
		var dataform = $("#form-edit").serialize();
		$.ajax({
			url: "material/update.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_edit_rawmat").html(hasil.error.edit_rawmat);
					$("#error_edit_nomat").html(hasil.error.edit_nomat);
					$("#error_edit_qty").html(hasil.error.edit_qty);
				} else {
					$('#modal-edit').modal('hide');
					$("#rawmat").val('');
					$("#nomat").val('');
					$("#qty").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	


});